<?php
	session_start();
	
	error_reporting (E_ALL|E_STRICT);
	$ezstats['debug'] = true;
	
	include "../config.php";
	include '../classes.php';
	include '../functions.php';
	
	/* Standardeinstellungen */
	if (!isset($_SESSION['state'])) {
		$_SESSION['version'] = "1.21";
		$_SESSION['settings'] = Array(
			"language" => "english",
			"cms" => "011_standalone",
			"path" => substr(dirname($_SERVER["SCRIPT_FILENAME"]), 0, strlen(dirname($_SERVER["SCRIPT_FILENAME"]))-7),
			"clanname" => "Clanname",
			"clanhp" => "http://www.ezzemm.de"
		);
		
		$ezSQL = new ezSQL("install");
		
		if ($ezSQL->connected) {
			$query = 'SELECT * FROM '.$ezstats['prefix'].'settings WHERE ID = 1';
			
			if (mysql_num_rows($ezSQL->safe_query($query))) {
				$result = mysql_fetch_assoc($ezSQL->safe_query($query));
				if (!isset($result['CMS'])) $result['CMS'] = "011_standalone";
				
				$_SESSION['settings'] = Array(
					"language" => $result['Language'],
					"cms" => $result['CMS'],
					"clanname" => $result['Clanpage'],
					"clanhp" => $result['ClanHP']
				);
				
				if ($result['Path'] != "" OR $result['Path'] != " ") $_SESSION['settings']['path'] = $result['Path'];
				
				$_SESSION['state'] = "update";
			
				/* Leerzeichen am Anfang bzw. Ende jeden Spielernamens lschen */
				$query = 'SELECT ID, name FROM '.$ezstats['prefix'].'players';
				$result = $ezSQL->safe_query($query);
				
				while ($row = mysql_fetch_assoc($result)) {
					$query = 'UPDATE '.$ezstats['prefix'].'players SET name = "'.trim($row['name']).'" WHERE ID = "'.$row['ID'].'"';
					$ezSQL->safe_query($query);
				}
			}
		} else {
			$_SESSION['state'] = "install";
		}
	}
	
	/* Sprachauswahl auswerten & Theme setzen */
	if (isset($_POST['lang']) AND isset($_POST['step']) AND $_POST['step'] == 2) $_SESSION['settings']['language'] = $_POST['lang'];
	$_SESSION['theme'] = "light-blue";
	
	$ezFunc = new ezFunctions();
	$ezLoc = new ezLocalization($_SESSION['settings']);
	$ezLoc->get_data("admin");
	$ezLoc->get_data("manual", true);
	
	eval ("\$template = \"".$ezLoc->get_template("_header", "html", "../install")."\";");
	echo $template;
	eval ("\$template = \"".$ezLoc->get_template("_body", "html", "../install")."\";");
	echo $template;
	
	
	/* SCHRITT 1 (Sprachauswahl) */
	if (!isset($_POST['step'])) {
		$files = $ezFunc->get_objects_in_folder('../language', 'all', false);
		$string = "";
		for ($i = 0; $i < count($files); $i++) {
			$string .= '<dd><input type="radio" name="lang" value="'.$files[$i].'"';
			if ($i == 2) $string .= ' checked';
			$string .= ' /> '.$files[$i].'</dd>';
		}
		
		eval ("\$template = \"".$ezLoc->get_template("step1", "html", "../install")."\";");
		echo $template;
	}
	
	
	/* SCHRITT 2 (Test des CHMODS) */
	elseif ($_POST['step'] == 2) {
		if (is_writable("../config.php") AND is_writable("../signatures")) {
			$string = $ezLoc->data['chmod_test_passed'];
			$input = '<input type="hidden" name="step" value="3" /><input class="fright" type="submit" value=" '.$ezLoc->data['go'].' " />';
		} else {
			$string = $ezLoc->data['chmod_test_failed'];
			$input = '<input type="hidden" name="step" value="2" /><input class="fright" type="submit" value=" '.$ezLoc->data['retry'].' " />';
		}
		
		eval ("\$template = \"".$ezLoc->get_template("step2", "html", "../install")."\";");
		echo $template;
	}
	
	
	/* SCHRITT 3 (Angabe der SQL-Daten und Admin-Daten) */
	elseif ($_POST['step'] == 3) {
		if (isset($ezstats)) {
			$host = $ezstats['host'];
			$db = $ezstats['db'];
			$user = $ezstats['user'];
			$pwd = $ezstats['pwd'];
			$prefix = $ezstats['prefix'];
			$admin_name = $ezstats['admin_name'];
			$admin_pw = $ezstats['admin_pw'];
			if (isset($ezstats['system'])) $system = $ezstats['system']; else $system = "pc";
		} else {
			$host = "";
			$db = "";
			$user = "";
			$pwd = "";
			$prefix = "";
			$admin_name = "";
			$admin_pw = "";
			$system = "pc";
		}
		
		$check = Array('system_pc' => '', 'system_ps3' => '', 'system_360' => '');
		$check['system_'.$system] = " checked"; 
		
		eval ("\$template = \"".$ezLoc->get_template("step3", "html", "../install")."\";");
		echo $template;
	}
	
	
	/* SCHRITT 4 (Anlegen der config.php, Check der SQL-Verbindung, Anlegen der Tabellen) */
	elseif ($_POST['step'] == 4) {
		
		/* Erstellen der config.php */
		$content = "<?php\n";
		$content .= "\t\$ezstats = array();\n";
		$content .= "\t\$ezstats['debug'] = false;\n";
		foreach ($_POST as $key => $value) {
			if ($key != "step") $content .= "\t\$ezstats['". $key ."'] = '". $value ."';\n";
		}
		$content .= "?>\n";
		
		$file = '../config.php';
		if (!$handle = fopen($file, "w")) $string1 = $ezLoc->data['file_open_failed'];
		if (!fwrite($handle, $content)) $string1 = $ezLoc->data['file_write_failed'];
		$string1 = $ezLoc->data['file_written'];
		fclose($handle);
		
		
		/* Verbinden mit der SQL-Datenbank */
		require '../config.php';
		$ezstats['debug'] = true;
		$ezSQL = new ezSQL();
		$string2 = $ezLoc->data['db_connected'];
		
		
		/* Anlegen der Tabellen */
		require 'queries.php';
		foreach ($queries as $query)  {
			$ezSQL->safe_query($query);
		}
		$string3 = $ezLoc->data['tables_created'];
		
		/* Standard-Daten fr bersicht */
		$query = "REPLACE INTO ".$ezstats['prefix']."overview (ID) VALUES (1)";
		$ezSQL->safe_query($query);
		
		
		eval ("\$template = \"".$ezLoc->get_template("step4", "html", "../install")."\";");
		echo $template;
	}
	
	
	/* SCHRITT 5 (Angabe der Einstellungen) */
	elseif ($_POST['step'] == 5) {
		require '../config.php';
		$ezstats['debug'] = true;
		$ezSQL = new ezSQL();
		$ezCMS = new ezCMS();
		
		$preset = $ezCMS->load_cms_data($_SESSION['settings']['cms']);
		$list_cms = $ezFunc->list_available_cms($_SESSION['settings']['cms'], "../admin/manuals");
		
		$language = $_SESSION['settings']['language'];
		$clanname = $_SESSION['settings']['clanname'];
		$clanhp = $_SESSION['settings']['clanhp'];
		$path = $_SESSION['settings']['path'];
		
		eval ("\$cms_form = \"".$ezLoc->get_template("form", "html", "../admin/manuals/".$_SESSION['settings']['cms'])."\";");
		eval ("\$cms_manual = \"".$ezLoc->get_template("manual", "html", "../admin/manuals/".$_SESSION['settings']['cms'])."\";");
		
		eval ("\$template = \"".$ezLoc->get_template("step5", "html", "../install")."\";");
		echo $template;
	}
	
	
	/* SCHRITT 6 (Speichern der allgemeinen Einstellungen) */
	elseif ($_POST['step'] == 6) {
		require '../config.php';
		$ezSQL = new ezSQL();
		$ezCMS = new ezCMS();
		
		$path = $_POST['path']; if ($path != "" AND substr($path, -1, 1) != "/") $path = $path."/";
		$query = "
			REPLACE INTO ".$ezstats['prefix']."settings (
				ID,
				Version,
				Language,
				Path,
				CMS,
				Clanpage,
				ClanHP
			) VALUES (
				1,
				'".$_SESSION['version']."',
				'".$_SESSION['settings']['language']."',
				'".$_POST['path']."',
				'".$_POST['cms']."',
				'".$_POST['clanname']."',
				'".$_POST['clanhp']."'
			)
		";
		$ezSQL->safe_query($query);
		
		
		if (isset($_POST['relpath']) AND $_POST['relpath'] != "" AND substr($_POST['relpath'], -1, 1) != "/") $_POST['relpath'] = $_POST['relpath']."/";
		$ezCMS->safe_cms_data($_POST);
		
		/* cURL-Test */
		$curl_test = false;
		if (function_exists('curl_init')) {
			$ch = curl_init("http://www.ezzemm.de/pages/ezstats/curl.php");
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, "test=".$_POST['clanhp']);
			$curl_test = curl_exec($ch);
			curl_close($ch);
		}
		
		if ($curl_test) {
			eval ("\$template = \"".$ezLoc->get_template("step6", "html", "../install")."\";");
			echo $template;
		} else {
			eval ("\$template = \"".$ezLoc->get_template("curl_fail", "html", "../install")."\";");
			echo $template;
		}
		
		session_destroy();
	}
	
	eval ("\$template = \"".$ezLoc->get_template("_footer", "html", "../install")."\";");
	echo $template;
?>